#include "qt/input_view.hpp"

QtInputView::QtInputView():QtView(){
}

void
QtInputView::initPoints(){
  for(size_t i=0;i<np;++i){
    double x=double(i)/(np-1);
    point[i].x=x;
    point[i].y=0.3;
    point[np+i].x=x;
    point[np+i].y=0.5;
    point[2*np+i].x=x;
    point[2*np+i].y=0.7;
  }
}

void
QtInputView::drawSplinePoints(Spline& spline){  
}

void
QtInputView::paintGL(){
  QtView::paintGL();
}

void
QtInputView::mousePressEvent(QMouseEvent* event){
  /*double x=double(event->x())/width()*kernel->geometry.lX;
  double y=1-(double(event->y())/height());
  displayInfos(x,y);*/
}


void
QtInputView::updateGeometry(){
  
}
